{ pkgs, lib, ... }:

{
  nixpkgs.config.allowUnfreePredicate = pkg: builtins.elem (lib.getName pkg) [
   "gh-copilot"
  ];

  programs = {
    gh = {
      enable = true;

      settings = {
        git_protocol = "ssh";
      };

      extensions = with pkgs; [
        gh-copilot
        gh-dash
      ];
    };

    gh-dash = {
      enable = true;

      settings = {
        defaults = {
          preview = {
            open = true;
            width = 64;
          };
        };
      };
    };
  };
}
